/* $Id: GSFactory.java 1072 2016-02-27 04:27:27Z shayashi $ */
package smart_gs.reasoning_web.logical;

import reasoning_web.logical.Connection;
import reasoning_web.logical.ExplanatoryNote;
import reasoning_web.logical.Factory;
import reasoning_web.logical.ResourcePointer;
import reasoning_web.logical.inter_face.RWElement;
import smart_gs.logical.GSResource;

public class GSFactory  {
	
	public GSFactory(){
		
	}
	  
    public GSConnection createGSConnection(GSResourcePointer source,
			GSResourcePointer target, ExplanatoryNote note,int dependency,
			String uri, String originalURI, String version) {
		return new GSConnection(source,target,note,uri,originalURI,version);
	}
	
	public GSConnection createGSConnection(GSResourcePointer source,
			GSResourcePointer target, ExplanatoryNote note) {
		return new GSConnection(source,target,note);
	}

	public ExplanatoryNote createExplanatoryNote(String source, 
			String uri, String originalURI, String version) {
		return new GSExplanatoryNote(source, uri, originalURI, version);
	}

	public GSResourcePointer createResourcePointer(GSResource element) {
		return new GSResourcePointer(element);
	}
}
